0
votes
0answers
7 views

Issues installing mongodb on centos 5

I'm trying to install mongodb for my centos 5.1 server via yum. I followed the instructions of creating a .repo file in the yum folder, but it still doesnt work. here's the screenshot of the issue: ...
0
votes
1answer
35 views

no package ipset available (centos EL5 x86_64)

I want to install ipset, but none of my repos seem to have it when I run yum install ipset [root@ora1 /]# cd /etc/yum.repos.d/ [root@ora1 yum.repos.d]# ls CentOS-Base.repo CentOS-Debuginfo.repo ...
1
vote
0answers
81 views

Cannot install yum on CentOS 5.3, 64bits

I'm facing a problem with installing yum in CentOS (version 5.3, 64bits). My CentOS yum is not preinstalled, so I can't install other package that I need. I found out one article that show how to ...
1
vote
1answer
1k views

CentOS 5.7 Yum Segmentation fault (core dumped) error [duplicate]

My system Info: OS :CentOS release 5.7 (Final) Apache 2.2.3 Server Running DirectAdmin 1.40.1 Running Exim 4.76 Running MySQL 5.1.57 Running Named 9.3.6 Running ProFTPd ...
1
vote
4answers
125 views

Good pratices to update servers? [closed]

I have many servers running CentOS 5.* and CentOS 6.*, I would like to update them, but there's some applications running and I might crash these applications, which led me to write this post with ...
0
votes
1answer
123 views

How to build from source on CentOS 5.9?

I'm building iptraf-ng on CentOS 5.9 and running into the following errors: src/packet.c: In function ‘packet_process’: src/packet.c:322: error: ‘ETH_P_QINQ1’ undeclared (first use in this function) ...
0
votes
2answers
298 views

Cannot install php-intl on CentOS

When I run: yum install php-intl I get this error: Loaded plugins: fastestmirror Loading mirror speeds from cached hostfile * base: mirror.as29550.net * epel: ftp.nluug.nl * extras: ...
0
votes
1answer
98 views

linux server frozen after yum update

Updated today with yum update: qmail-scanner x86_64 1:2.10-8.el5.art atomic 349 k tortixd x86_64 2.2.23-8.el5.art asl-3.0 1.1 M tortixd-mod_ssl no errors but after 15 minutes the servers started to ...
2
votes
1answer
188 views

PHP 5.2.10 lost json and mcrypt - Parallels Small Business Panel v10.2.0_build102100709.06 os_CentOS 5

I updated my PHP from 5.1 to 5.2 a few months ago. Since then I noticed I don't have mcrypt. I tried everything I could too install it. Yum install...added to /etc/php.d/mcrypt.so etc. but nothing ...
1
vote
2answers
190 views

Install gettext-0.17-1.el5.i386.rpm on CentOS 5.8 i386 gives “/usr/bin/python is needed” error

I've removed yum by mistake. So, now I'm installing all the dependencies needed by yum manually. One of those is gettext-0.17-1.el5.i386.rpm and when I try to install it gives the following error, ...
0
votes
1answer
380 views

Yum package conflict between different architectures

I have a machine running CentOS 5.5 I want to upgrade to the newest 5.x release. It's tripping over freetype. Freetype has both an i386 and an x86_64 version installed. This is normal, but the x86_64 ...
3
votes
1answer
1k views

Missing Dependency: perl(YAML::Any)

I have a problem with git, when I run yum upgrade on a centos5 server. yum upgrade output: Resolving Dependencies --> Running transaction check ---> Package git.x86_64 0:1.7.11.3-1.el5.rf ...
0
votes
1answer
156 views

Using IUS repos with CentOS5 and Webmin, how should I set up Yum Priorities?

Following hobodave's excellent answer to this question - Upgrade Centos 5 tot PHP 5.2 or 5.3 [recommended way?] - I'm just wondering how I should set up my Yum Priorities so that IUS takes precedent ...
0
votes
1answer
806 views

Client is not able to use Yum Server configured on Server under /home/RPMS file path

I have configured Yum Server on Server 10.0.0.1(Redhat 5.3) All RPMS are here /home/RPMS/Server. Now on another machine i have Centos 5.3 (10.0.0.30).I want to use yum Server of 10.0.0.1 on 10.0.0.3 ...
0
votes
1answer
435 views

How Do I Invoke Berkeley Database 1.85 Compatibility Mode Under CentOS 5?

I have been trying to work with databases that were created under Berkeley Database 1.85 so that I can convert them to MySQL. I believe the files are Berkeley DB 1.85 under CentOS 5 for the following ...
0
votes
1answer
216 views

Handling yum upgrade from pkg-x.y.rpm which requires mod_python to pkg-x.(y+z).rpm with conflicts mod_python

With yum/rpm on RHEL 5 can a yum upgrade be made to remove another, conflicting package - similar to the behaviour of apt-get dist-upgrade on Debian? I am updating the .spec for our product's rpm. ...
1
vote
1answer
265 views

mysql libs conflict with with mysql client

I am trying to get redmine up and running and its not been going well. Currently I am trying to install the required package mysql-devel and getting the error: Transaction Check Error: file ...
0
votes
2answers
2k views

How should I upgrade Python on CentOS 5.5 (64-bit)

I believe I am running CentOS 5.5 (64-bit) on CA AppLogic 3.0. uname -a says Linux LINUX64 2.6.18-194.32.1.el5xen #1 SMP Wed Jan 5 18:44:24 EST 2011 x86_64 x86_64 x86_64 GNU/Linux I have upgrade ...
0
votes
1answer
454 views

Yum freezes on Running Transaction Check

Strace: http://pastebin.com/r8D39yLg Kernel: 2.6.18-274.12.1.el5.centos.plus #1 SMP Tue Nov 29 18:16:47 EST 2011 x86_64 x86_64 x86_64 GNU/Linux System: CentOS 5.7 64-bit How to fix this ?
0
votes
2answers
491 views

php 5.3 and libxml2 nightmare

My CentOS 5.7 ships with libxml2 2.6.26 that is very outdated and also causes many problems with my current PHP 5.3.3. I need to update libxml2 to 2.7.8 version or at least 2.7.3+ i've readed many ...
0
votes
2answers
3k views

CentOS: Insufficient space in download directory //var/cache/yum/base/packages Insufficient space in target directory

Error Downloading Packages: redhat-logos - 4.9.99-11.el5.centos.noarch: Insufficient space in download directory //var/cache/yum/base/packages to download Output from df -h /dev/sda2 ...
1
vote
1answer
104 views

Can you reconfigure roles specified during installation in CentOS?

During installation of a couple of CentOS servers I selected the "Server" option in the package configuration screen at the end of the installation process. It turns out that I only needed a clean ...
1
vote
1answer
353 views

PHP upgraded to 5.3.8 - Can't install/upgrade extensions

I managed to upgrade php from 5.2.10 to 5.3.8 in CentOS 5.4. Some of the extensions were lost in the process (mbstring, mysql). One quick run for: yum list installed | grep php Returns: ...
0
votes
3answers
690 views

Error when trying to update postgresql-libs

When I do a yum update I get the following errors: Transaction Check Error: file /usr/lib64/libecpg.so.6.1 from install of postgresql-libs-8.4.10-1PGDG.rhel5.x86_64 conflicts with file from package ...
2
votes
2answers
193 views

Yum update info from what version, to what version

Is there some simple yum command so I can know what is current and what is future version of package for updating. I now about: yum list updates But that only prints new version of packages...
1
vote
0answers
984 views

Fixing problems with yum, urllib2, and missing dependencies?

I've been trying to resolve the following problem with yum / python's urllib2: [root@...]# yum Traceback (most recent call last): File "/usr/bin/yum", line 4, in ? import yum File ...
1
vote
2answers
262 views

Backup all Yum repos and packages on CentOS 5 server?

I'm spinning up a new CentOS 5 server and to save some time I'd like to use the same repos and packages as installed on another CentOS 5 server. Is anyone aware of a systematic or best practice method ...
0
votes
2answers
399 views

CentOS/yum - Upgrading php 5.1 -> 5.3 without upgrading mysql 5.0 -> 5.1

I'm attempting to upgrade php from the centos default of 5.1.6 to 5.3.8 out of the Atomic repo, but when doing so, yum wants mysql to upgrade from 5.0 to 5.1, saying that php-mysql-5.3.8-1.el5 is ...
1
vote
2answers
10k views

How to clean up mysql installation on centos

mysql does not exist anymore but when i run yum remove mysql it says that the package is available but not marked for installation, i cannot install new mysql because of that, I need to completely ...
0
votes
1answer
38 views

Getting PHP5 To install

It seems I am stuck with a 4yo build of PHP (PHP4.3.9 Built: 2007) and I am trying to upgrade. Right now, it's like a traffic puzzle, or a vicious cycle, whatever you want to call it. I try to upgrade ...
0
votes
2answers
2k views

How to install specific version of MySQL?

I installed from the repo, 5.0.77... including setup of PowerDNS (and the backend for MySQL). I tried setting up replication from my Master (which is MySQL 5.1.53) but it didn't work even though there ...
0
votes
3answers
2k views

Cannot get CentOS 5 to update - Yum Errors

I'm used to Yum on CentOS 5 being a total pig and breaking every other week, but until now I've always been able to fix the problem by simply running: yum clean all And then updating normally. Not ...
0
votes
1answer
48 views

Updating CentOS

I have a CentOS 5.5 installation with ruby, dovecot (and some other soft) installed from source, and soft like postfix, samba, bind etc. installed from yum repositories. This box is online for more ...
1
vote
1answer
622 views

CentOS package not available

I installed a CentOS 5.5 and the default php package is 5.1.6. I want to install 5.2.9, so I added /etc/yum.repo.d/CentOS-Testing.repo [c5-testing] name=CentOS-5 Testing ...
0
votes
1answer
783 views

How to install libguestfs / guestfish for xen on CentOS 5.5?

According to this page: http://libguestfs.org/ I should be able to just type: yum install '*guestf*' However this returns back: No package *guestf* available. Thanks for any help!
0
votes
1answer
928 views

Upgrade PCRE on CentOS 5.5

I'm trying to upgrade pcre on my CentOS 5.5 VPS. Unfortunately the only RPMs available are for 6.6 in yum. I've found some links to newer versions of PCRE and even tried (and succeeded) at compiling ...
1
vote
1answer
774 views

how can i get the install path from yum?

Hello all i install several application using yum in CentOS now i like to see the installed application path's where each component yum downloaded got installed how can i do that ?
1
vote
1answer
84 views

Centos 5 RPMs on RHEL 5

I know this isn't ideal, but typically how compatible are Centos5 rpms with RHEL5? Is the only real difference the enterprise package management, or are the two OS as divergent as Fedora and RHEL?
2
votes
1answer
698 views

problem while installing some python packages

There is an issue while installing some of the packages for python. They show 'No package available' message while trying to do yum install . They are these: python-psycopg, python-reportlab, ...
1
vote
2answers
2k views

is it safe to run yum remove '*.i386' on a 64bit Centos System?

I just want to know if it would be safe to remove all 386 packages from my x86_64 system? Are any of the 386 packages actually used or do they just sit there? The reason i'd like to remove them, is ...
2
votes
7answers
3k views

Wget, Curl, Yum Fail but Ping works - CentOS 5

We currently have three webservers. Servers one and two behave, but I'm having real problems with the third. wget, curl and yum all fail to make their connections - that is, they all hang after ...
2
votes
2answers
11k views

How to fix yum install not valid release error on Centos 5

When I try to yum install anything I get: -bash-3.2# yum install strace Loading "fastestmirror" plugin Determining fastest mirrors * dag: apt.sw.be * lxlabsupdate: download.lxlabs.com * rpmforge: ...
6
votes
2answers
7k views

How to remove packages that are no longer needed on CentOS 5?

While installing package I get some additional packages on dependency. But when I remove installed package with yum, the dependency packages are not removed, though I don't need them anymore. How ...